Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.runtime
Class CoreException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.core.runtime.CoreException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DebugException, InstallAbortedException, TeamException, ValidateStateException, WorkbenchException

public class CoreException
extends Exception

A checked exception representing a failure.

Core exceptions contain a status object describing the cause of the exception.

See Also:
  `IStatus`, Serialized Form

Constructor Summary
`CoreException(IStatus status)` Creates a new exception with the given status object.

Method Summary
`IStatus` | `getStatus()` Returns the status object for this exception.
`void` | `printStackTrace()` Prints a stack trace out for the exception, and any nested exception that it may have embedded in its Status object.
`void` | `printStackTrace(PrintStream output)` Prints a stack trace out for the exception, and any nested exception that it may have embedded in its Status object.
`void` | `printStackTrace(PrintWriter output)` Prints a stack trace out for the exception, and any nested exception that it may have embedded in its Status object.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CoreException

    public CoreException(IStatus status)

  Creates a new exception with the given status object. The message of the given status is used as the exception message.

Parameters:
  `status` - the status object to be associated with this exception

Method Detail

### getStatus

    public final IStatus getStatus()

  Returns the status object for this exception.

  Returns:
    a status object

### printStackTrace

    public void printStackTrace()

  Prints a stack trace out for the exception, and any nested exception that it may have embedded in its Status object.

### printStackTrace

    public void printStackTrace(PrintStream output)

  Prints a stack trace out for the exception, and any nested exception that it may have embedded in its Status object.

  Parameters:
    `output` - the stream to write to

### printStackTrace

    public void printStackTrace(PrintWriter output)

  Prints a stack trace out for the exception, and any nested exception that it may have embedded in its Status object.

  Parameters:
    `output` - the stream to write to

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.